Bug 808008 - [Firmware Bug]: cpu 1, try to use APIC500 (LVT offset 0) for vector 0x400, but the register is already in use for vector 0xf9 on another cpu
[Firmware Bug]: cpu 1, try to use APIC500 (LVT offset 0) for vector 0x400, bu...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-29 06:33 EDT by Oliver Henshaw
Modified: 2015-03-24 10:20 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 10:58:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lshw export (27.89 KB, application/octet-stream)
2012-08-04 08:20 EDT, Raphaël Flores
no flags Details
dmesg command (166.28 KB, application/octet-stream)
2012-08-04 08:21 EDT, Raphaël Flores
no flags Details
still occurs in fedora 18 see dmesg (215.61 KB, text/plain)
2013-02-27 06:37 EST, alain.thiaville
no flags Details

  None (edit)
Description Oliver Henshaw 2012-03-29 06:33:35 EDT
Description of problem:

The message "[Firmware Bug]: cpu 1, try to use APIC500 (LVT offset 0) for vector 0x400, but the register is already in use for vector 0xf9 on another cpu" appears on the screen after resume from suspend. This only happens on suspend, not on boot.
 
$ dmesg | grep -i 'offset\|ibs\|firmware bug\|PM:'
[    0.000000] PM: Registered nosave memory: 0000000000098000 - 00000000000a0000
[    0.000000] PM: Registered nosave memory: 00000000000a0000 - 00000000000f0000
[    0.000000] PM: Registered nosave memory: 00000000000f0000 - 0000000000100000
[    0.000000] PM: Registered nosave memory: 00000000cfcf0000 - 00000000cfcf1000
[    0.000000] PM: Registered nosave memory: 00000000cfcf1000 - 00000000cfd00000
[    0.000000] PM: Registered nosave memory: 00000000cfd00000 - 00000000cfe00000
[    0.000000] PM: Registered nosave memory: 00000000cfe00000 - 00000000e0000000
[    0.000000] PM: Registered nosave memory: 00000000e0000000 - 00000000f0000000
[    0.000000] PM: Registered nosave memory: 00000000f0000000 - 00000000fec00000
[    0.000000] PM: Registered nosave memory: 00000000fec00000 - 0000000100000000
[    0.000000] PM: Registered nosave memory: 00000000c4000000 - 00000000c8000000
[    0.051013] PM: Registering ACPI NVS region at cfcf0000 (4096 bytes)
[    0.103698] pnp 00:0a: [Firmware Bug]: [mem 0x00000000-0xffffffffffffffff disabled] covers only part of AMD MMCONFIG area [mem 0xe0000000-0xe00fffff]; adding more reservations
[    0.629536] IBS: LVT offset 1 assigned
[    0.629555] perf: AMD IBS detected (0x0000001f)
[    1.658863] PM: Hibernation image not present or could not be loaded.
[10136.639684] PM: Syncing filesystems ... done.
[10136.642071] PM: Preparing system for mem sleep
[10136.807123] PM: Entering mem sleep
[10139.309266] PM: suspend of devices complete after 2501.992 msecs
[10139.364139] PM: late suspend of devices complete after 54.870 msecs
[10139.366128] PM: Saving platform NVS memory
[10139.369724] PM: Restoring platform NVS memory
[10139.367425] [Firmware Bug]: cpu 1, try to use APIC500 (LVT offset 0) for vector 0x400, but the register is already in use for vector 0xf9 on another cpu
[10139.367425] perf: IBS APIC setup failed on cpu #1
[10139.369221] [Firmware Bug]: cpu 2, try to use APIC500 (LVT offset 0) for vector 0x400, but the register is already in use for vector 0xf9 on another cpu
[10139.369221] perf: IBS APIC setup failed on cpu #2
[10139.468538] PM: early resume of devices complete after 33.434 msecs
[10150.419855] PM: resume of devices complete after 10951.285 msecs
[10150.420127] PM: Finishing wakeup.
[14367.936596] PM: Syncing filesystems ... done.
[14367.939139] PM: Preparing system for mem sleep
[14368.143126] PM: Entering mem sleep
[14370.682899] PM: suspend of devices complete after 2539.621 msecs
[14370.738164] PM: late suspend of devices complete after 55.262 msecs
[14370.740180] PM: Saving platform NVS memory
[14370.743677] PM: Restoring platform NVS memory
[14370.741431] [Firmware Bug]: cpu 1, try to use APIC500 (LVT offset 0) for vector 0x400, but the register is already in use for vector 0xf9 on another cpu
[14370.741431] perf: IBS APIC setup failed on cpu #1
[14370.743200] [Firmware Bug]: cpu 2, try to use APIC500 (LVT offset 0) for vector 0x400, but the register is already in use for vector 0xf9 on another cpu
[14370.743200] perf: IBS APIC setup failed on cpu #2
[14370.842538] PM: early resume of devices complete after 33.406 msecs
[14381.878540] PM: resume of devices complete after 11035.969 msecs
[14381.878793] PM: Finishing wakeup.


(Not sure if the first "[Firmware Bug]" is related - does it deserve its own bug report?)



Version-Release number of selected component (if applicable):

Appeared in the update from kernel-3.1.9-1.fc16.x86_64 to kernel-3.2.2-1.fc16.x86_64 and persists in kernel-3.3.0-4.fc16.x86_64


How reproducible:

Suspend/resume and watch messages appear briefly on console (or look in dmesg).


Additional info:

I think http://lkml.org/lkml/2011/11/9/230 is in 3.2, but it doesn't seem to make a difference. I guess https://lkml.org/lkml/2012/3/28/249 isn't in yet.
Comment 1 Oliver Sampson 2012-04-18 07:44:53 EDT
This also appears in the 32bit kernel, but not consistently, on my HP 625.
Comment 2 Sebastian Krämer 2012-06-22 16:30:08 EDT
Same here with 3.4.3-1.fc17.x86_64 and previous, also when resuming on HP 625.
Comment 3 Raphaël Flores 2012-08-04 08:20:46 EDT
Created attachment 602243 [details]
lshw export

Same message when resume suspend on Beefy Miracle 32bit. See lshw export and dmesg files attached.
Comment 4 Raphaël Flores 2012-08-04 08:21:40 EDT
Created attachment 602244 [details]
dmesg command
Comment 5 Dave Jones 2012-10-23 11:33:46 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 6 Oliver Henshaw 2012-10-23 12:30:40 EDT
Unchanged with 3.6.2-1.fc16.x86_64
Comment 7 Fedora End Of Life 2013-01-16 09:32:50 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Sebastian Krämer 2013-01-17 01:38:29 EST
Since I first commented on this bug, this error has always been there for me with F17. (Haven't upgraded to F18 yet.)
I suggest to bump the bug version number.
Comment 9 Fedora End Of Life 2013-02-13 10:36:54 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 alain.thiaville 2013-02-27 06:37:34 EST
Created attachment 703374 [details]
still occurs in fedora 18 see dmesg

kernel version/build date"3.7.8-202.fc18.x86_64 #1 SMP Fri Feb 15 17:33:07"
processor : AMD Athlon(tm) II X3 425 Processor (tri-core)
ram : 8GO
Comment 11 alain.thiaville 2013-02-27 06:50:27 EST
(In reply to comment #10)
> Created attachment 703374 [details]
> still occurs in fedora 18 see dmesg
> 
> kernel version/build date"3.7.8-202.fc18.x86_64 #1 SMP Fri Feb 15 17:33:07"
> processor : AMD Athlon(tm) II X3 425 Processor (tri-core)
> ram : 8GO
=> this bug should at least be reopened in f18
Comment 12 Oliver Henshaw 2013-02-28 13:35:36 EST
(it's not really ASSIGNED but I can't change it back to NEW)
Comment 13 Justin M. Forbes 2013-10-18 17:10:57 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 14 Justin M. Forbes 2013-11-27 10:58:19 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.
Comment 15 infove 2013-12-20 19:44:06 EST
3.11 kernel still affected by this bug. Long wakeup time and warning re firmware bug (lvt offset 0) still displayed. This is on AMD 890 chipset with Phenom 965.
Comment 16 Oliver Henshaw 2015-03-24 10:20:33 EDT
Haven't seen this for a long time

Note You need to log in before you can comment on or make changes to this bug.